This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 179292 - gnome-power-manger crashes on user login
gnome-power-manger crashes on user login
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-29 17:42 EST by Joseph Clark
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-30 12:55:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Clark 2006-01-29 17:42:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060126 Fedora/1.5-5 Firefox/1.5

Description of problem:
When first logging in I get the error: 
The Application "gnome-power-manager" has quit unexpectedly.

You can inform the developers of what happened to help them fix it.  Or you can restart the application right now.

To get more information if ran from the commandline I get:
[root@txz-m log]# gnome-power-manager

(gnome-power-manager:3056): GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed.

** (gnome-power-manager:3056): WARNING **: main: An SELinux policy prevents this sender from sending this message to this recipient (rejected message had interface "org.freedesktop.DBus" member "Hello" error name "(unset)" destination "org.freedesktop.DBus")

** ERROR **: This program cannot start until you start the dbussystem daemon
This is usually started in initscripts, and is usually called messagebus
It is STRONGLY recommended you reboot your compterafter restarting messagebus


aborting...


Version-Release number of selected component (if applicable):
gnome-power-manager-0.3.4-2

How reproducible:
Always

Steps to Reproduce:
1. Power up machine
2. Login as user
3. Error comes up
  

Additional info:

dbus information:
[root@txz-m log]# yum list | grep dbus
dbus.i386                                0.60-7                 installed
dbus-devel.i386                          0.60-7                 installed
dbus-glib.i386                           0.60-7                 installed
dbus-python.i386                         0.60-7                 installed
dbus-sharp.i386                          0.60-7                 installed
dbus-x11.i386                            0.60-7                 installed
dbus-debuginfo.i386                      0.60-7                 development

[root@txz-m init.d]# ./messagebus status
dbus-daemon (pid 2959 2570 2270) is running...
Comment 1 Richard Hughes 2006-01-29 17:49:04 EST
Does this work with enforcing = no?

Can you try updating the selinux policy to the version in rawhide please -- I
think this will fix the issues.

Thanks, Richard.
Comment 2 Joseph Clark 2006-01-29 18:10:36 EST
The gnome-panel-manager will run when I set SELinux to Permissive.

As far as selinux policy I have the latest installed.

[root@txz-m init.d]# yum list | grep selinux-policy
selinux-policy.noarch                    2.2.8-1                installed
selinux-policy-devel.noarch              2.2.8-1                development
selinux-policy-mls.noarch                2.2.8-1                development
selinux-policy-strict.noarch             2.2.8-1                development
selinux-policy-targeted.noarch           2.2.8-1                development
Comment 3 Richard Hughes 2006-01-29 18:17:24 EST
Do you get any denied messages in the selinux log?
Comment 4 Joseph Clark 2006-01-29 19:29:31 EST
type=USER_AVC msg=audit(1138576269.520:1865): user pid=2270 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.DBus member=Hello dest=org.freedesktop.DBus spid=3363
scontext=user_u:system_r:unconfined_t tcontext=system_u:system_r:initrc_t
tclass=dbus : exe="?" (sauid=81, hostname=?, addr=?, terminal=?)
Comment 5 Daniel Walsh 2006-01-30 12:55:24 EST
Your  dbus is running witht the wrong context.  You need to restart messagebus
and the problem should go away.

Note You need to log in before you can comment on or make changes to this bug.